Get Tests
Retrieve a list of workflow tests for a specific workflow.
curl --request GET \
--url https://api.example.com/apps/{app_id}/workflows/{workflow_id}/testsimport requests
url = "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"status": "PASSED",
"step_key": "<string>",
"expectations_passing_count": 123,
"expectations_failing_count": 123,
"workflow_id": "<string>",
"run": {
"id": "<string>",
"input": {},
"output": {},
"status": "RUNNING",
"origin": "WORKFLOW",
"started_at": "2023-12-25",
"ended_at": "2023-12-25",
"app_id": "<string>",
"workflow_app_id": "<string>",
"workflow_id": "<string>",
"workflow_version_draft": {
"key": "<string>",
"input": {},
"input_default": {},
"input_options": {
"display": {
"hidden": true
}
},
"steps": [
{
"type": "note",
"key": "<string>",
"note": "<string>",
"conditional": "<string>",
"loop": "<string>",
"throw_on_error": true,
"input_connected": true,
"destinations": [
"<string>"
],
"position": [
123
],
"size": [
101
],
"auto": {
"provider": "<string>",
"model": "<string>",
"temperature": 1
}
}
]
},
"workflow_version": {
"id": "<string>",
"app_id": "<string>",
"workflow_id": "<string>",
"description": "<string>",
"version": 123,
"notes": "<string>",
"created_at": "2023-12-25",
"key": "<string>",
"input": {},
"input_default": {},
"input_options": {
"display": {
"hidden": true
}
},
"steps": [
{
"type": "note",
"key": "<string>",
"note": "<string>",
"conditional": "<string>",
"loop": "<string>",
"throw_on_error": true,
"input_connected": true,
"destinations": [
"<string>"
],
"position": [
123
],
"size": [
101
],
"auto": {
"provider": "<string>",
"model": "<string>",
"temperature": 1
}
}
],
"rollback_version": 123,
"created_by": {
"id": "<string>",
"name": "<string>"
}
},
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"result": "<unknown>",
"error": "<string>",
"collection_id": "<string>",
"record_id": "<string>",
"version": 123,
"usage": {
"total": 123,
"steps": {},
"calls": [
{
"id": "<string>",
"total": 123,
"calls": [
"<unknown>"
]
}
]
},
"retention": {
"max_age_in_seconds": 3600,
"preserve_on_failure": true
},
"retention_due_at": "2023-12-25"
},
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"input": {},
"input_default": {},
"input_context": {},
"expectations": [
{
"key": "<string>",
"name": "<string>",
"expectation_id": "<string>",
"script": "<string>",
"output": "<unknown>",
"logs": [
null
],
"status": "PASSED"
}
]
}
]Path Parameters
The ID of the app
The ID of the workflow
Query Parameters
all ALL, DRAFT, CANCELLED, RUNNING, FAILED, PASSED Page number
Number of items to take
Next page token (Only used on special endpoints)
Response
Unique identifier for the workflow test
Name of the workflow test
Status of the workflow test
DRAFT, CANCELLED, RUNNING, FAILED, PASSED "PASSED"
Starting step key for the workflow test
Number of passing expectations
Number of failing expectations
Identifier of the associated workflow
Run details of the workflow test
Show child attributes
Show child attributes
Creation date of the workflow test
Last update date of the workflow test
Input values for the workflow test
Show child attributes
Show child attributes
Default input values for the workflow test
Show child attributes
Show child attributes
Default input values for the workflow test
Show child attributes
Show child attributes
List of expectations that will be executed for the workflow test
Show child attributes
Show child attributes
Was this page helpful?
